//
// C++ Interface: kmfplugin
//
// Description: 
//
//
// Author: Christian Hubinger <chubinger@gmail.com>, (C) 2003
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KMFPLUGIN_H
#define KMFPLUGIN_H

// QT includes
class QWidget;

#include <qobject.h>

// KDE includes
#include <kparts/plugin.h>

// Project includes
class KMFGenericDoc;
class KMFIPTDoc;
class KMFDoc;
class KMFError;

/**
@author Christian Hubinger
*/
class KDE_EXPORT KMFPlugin : public KParts::Plugin {
public:
	KMFPlugin( QObject* parent , const char* name  );
    virtual ~KMFPlugin();
	void setOutputWidget( QWidget* wid );
	void showEditor();
	void showOutput();
	void checkStatus();

protected:
	protected: KMFGenericDoc* genericDoc();
	protected: KMFIPTDoc* iptablesDoc();
	protected: KMFDoc* doc();
	protected: KMFError* m_err;
};

#endif
